### Method

# Clutter Actor needs_expand

#### Declaration [src]

    gboolean
    clutter_actor_needs_expand (
      ClutterActor* self,
      ClutterOrientation orientation
    )

#### Description [src]

Checks whether an actor, or any of its children, is set to expand horizontally or vertically.

This function should only be called by layout managers that can assign extra space to their children.

If you want to know whether the actor was explicitly set to expand, use `clutter_actor_get_x_expand()` or `clutter_actor_get_y_expand()`.

#### Parameters

`orientation`

  Type: `ClutterOrientation`

  The direction of expansion.

#### Return value

Type: `gboolean`

`TRUE` if the actor should expand.